%define module pwc
%define version 10.0.12
%define subversion rc1
%define release %mkrel 0.%{subversion}.3

Summary: Pwc kernel driver for Philips webcam
Name: dkms-%{module}
Version: %{version}
Release:  %{release}
License: GPL
Group: System/Kernel and hardware
Source0: http://www.saillard.org/linux/pwc/files/%{module}-%{version}-%{subversion}.tar.bz2
URL: http://www.saillard.org/linux/pwc/
Provides: %{module}
Requires: dkms >= 1.00
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
This is a fork of the discontinuity pwc driver made by Nemosoft Unv. You don't
need binary module with this driver, however decompression is supported for big
resolution (640x480).

%prep
%setup -n %{module}-%{version}-%{subversion} -q
find -type f \
	| xargs perl -pi -e "s#%{version}-%{subversion}#%{version}-%{subversion}u-%{release}#g"

%build

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}

cp -rf	*		$RPM_BUILD_ROOT/usr/src/%{module}-%{version}-%{release}
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{module}"
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="pwc"
DEST_MODULE_LOCATION[0]="/kernel/drivers/usb/media/pwc"

AUTOINSTALL=yes
EOF

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root,-)
/usr/src/%{module}-%{version}-%{release}

%post
dkms add -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade

%preun
dkms remove -m	%{module} -v %{version}-%{release} --rpm_safe_upgrade --all



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 10.0.12-0.rc1.3mdv2008.1
+ Revision: 136367
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 10.0.12-0.rc1.3mdv2008.0
+ Revision: 94469
- update to new version


* Sun Jun 25 2006 Stefan van der Eijk <stefan@eijk.nu> 10.0.12-0.rc1.2mdk
- change module version to allow smooth upgrades

* Sat Apr 29 2006 Stefan van der Eijk <stefan@eijk.nu> 10.0.12-0.rc1.1mdk
- 10.0.12-rc1

* Sun Feb 05 2006 Stefan van der Eijk <stefan@eijk.nu> 10.0.11-1mdk
- 10.0.11

* Tue Dec 13 2005 Stefan van der Eijk <stefan@eijk.nu> 10.0.9-1mdk
- 10.0.9

* Mon Aug 08 2005 Stefan van der Eijk <stefan@eijk.nu> 10.0.7a-1mdk
- initial package

